const system = require("../../system");
const settings = require("../../../config/settings");
const uiconfig = system.getUiConfig2(settings.wxconfig.appId);
module.exports = (db, DataTypes) => {
  var base = require("../basemodel/codenamebase")(db, DataTypes);
  return db.define("customercontacts", Object.assign({  
    // // 客户联系人引用客户信息
    // this.db.models.customercontacts.belongsTo(this.db.models.customerinfo, { constraints: false, });

    //基类name联系人
    //基类code---暂时没有用
    mobile:DataTypes.STRING(20),//手机号
    email:DataTypes.STRING(50),//邮箱
    tel:DataTypes.STRING(20),//座机
    fax:DataTypes.STRING(50),//传真
    zipCode:DataTypes.STRING(20),//邮政编码   
  }, base), {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      //freezeTableName: true,
      // define the table's name
      tableName: 'biz_customercontacts',
      validate: {
      }
    });
}
